Bug 1310382 - Wired connection shows on Laptop with no wired connection
Wired connection shows on Laptop with no wired connection
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-21 00:43 EST by Rodd Clarkson
Modified: 2016-11-25 15:17 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-25 15:17:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of desktop with 'Wired connection" being offered. (2.64 MB, image/png)
2016-02-21 00:43 EST, Rodd Clarkson
no flags Details
Screenshot of Settings > Network > Wired (27.15 KB, image/png)
2016-02-21 00:44 EST, Rodd Clarkson
no flags Details
Screenshot of Settings > Network > Wired (28.81 KB, image/png)
2016-02-21 00:45 EST, Rodd Clarkson
no flags Details

  None (edit)
Description Rodd Clarkson 2016-02-21 00:43:00 EST
Created attachment 1128912 [details]
Screenshot of desktop with 'Wired connection" being offered.

Description of problem:

This has happened a couple of times since installing f23, and it seems to affecting the network connecting on virtual machines running in Boxes.

I'll attach a screenshot (or two), but a Wired connection sometimes shows up even though I have no wired connection on the laptop.

It doesn't always appear, but when it does my virtual machine (often) has problems connecting to virbr0.  If the wired connection doesn't appear, there's no problems with networking on the vm.

lspci shows:

$ lspci
00:00.0 Host bridge: Intel Corporation Haswell-ULT DRAM Controller (rev 0b)
00:02.0 VGA compatible controller: Intel Corporation Haswell-ULT Integrated Graphics Controller (rev 0b)
00:03.0 Audio device: Intel Corporation Haswell-ULT HD Audio Controller (rev 0b)
00:14.0 USB controller: Intel Corporation 8 Series USB xHCI HC (rev 04)
00:16.0 Communication controller: Intel Corporation 8 Series HECI #0 (rev 04)
00:1b.0 Audio device: Intel Corporation 8 Series HD Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 8 Series PCI Express Root Port 1 (rev e4)
00:1c.2 PCI bridge: Intel Corporation 8 Series PCI Express Root Port 3 (rev e4)
00:1d.0 USB controller: Intel Corporation 8 Series USB EHCI #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation 8 Series LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 8 Series SATA Controller 1 [AHCI mode] (rev 04)
00:1f.3 SMBus: Intel Corporation 8 Series SMBus Controller (rev 04)
02:00.0 Network controller: Intel Corporation Wireless 7260 (rev 6b)

lsusb shows:

$ lsusb
Bus 003 Device 002: ID 8087:8000 Intel Corp. 
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 004: ID 8087:07dc Intel Corp. 
Bus 001 Device 015: ID 0bda:5752 Realtek Semiconductor Corp. 
Bus 001 Device 002: ID 06cb:0af8 Synaptics, Inc. 
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

 

Version-Release number of selected component (if applicable):

$ rpm -qa NetworkManager\*
NetworkManager-adsl-1.0.10-2.fc23.x86_64
NetworkManager-pptp-gnome-1.1.0-2.20150428git695d4f2.fc23.x86_64
NetworkManager-libnm-1.0.10-2.fc23.x86_64
NetworkManager-bluetooth-1.0.10-2.fc23.x86_64
NetworkManager-vpnc-gnome-1.0.8-1.fc23.x86_64
NetworkManager-openvpn-gnome-1.0.8-1.fc23.x86_64
NetworkManager-wwan-1.0.10-2.fc23.x86_64
NetworkManager-openvpn-1.0.8-1.fc23.x86_64
NetworkManager-openconnect-1.0.8-1.fc23.x86_64
NetworkManager-config-connectivity-fedora-1.0.10-2.fc23.x86_64
NetworkManager-team-1.0.10-2.fc23.x86_64
NetworkManager-vpnc-1.0.8-1.fc23.x86_64
NetworkManager-wifi-1.0.10-2.fc23.x86_64
NetworkManager-pptp-1.1.0-2.20150428git695d4f2.fc23.x86_64
NetworkManager-1.0.10-2.fc23.x86_64
NetworkManager-glib-1.0.10-2.fc23.x86_64

But this has also been a problem with older versions of NetworkManager.


How reproducible:

It doesn't always happen, but it happens on occasions.


Steps to Reproduce:
1. Start fedora


Actual results:

Sometimes NetworkManager thinks there's a wired connection


Expected results:

NetworkManager shouldn't display a wired connection as it doesn't exist.


Additional info:

I've just noticed that the Wired connection just went from Off to On (so presumably it thinks I just plugged in a cable) and it trying to connect.

(And now the wired connection is back off again.)

The two screenshots of Settings were as a started to report this bug (Off) and while I as reporting this bug (On).
Comment 1 Rodd Clarkson 2016-02-21 00:44 EST
Created attachment 1128913 [details]
Screenshot of Settings > Network > Wired

There's no wired connection on this laptop.
Comment 2 Rodd Clarkson 2016-02-21 00:45 EST
Created attachment 1128914 [details]
Screenshot of Settings > Network > Wired

Not the wired connection has turned itself On (it was off).  This was about 4 minutes after the other screenshot.
Comment 3 Blueowl 2016-08-10 13:27:43 EDT
It you still experience the problem, please run following commands in a terminal when you see the problem (wired is on):
$ nmcli c
$ nmcli d

and get NetworkManager logs
$ sudo journalctl -b 0 -u NetworkManager
Comment 4 Fedora End Of Life 2016-11-24 10:40:30 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.